#include "cellular.h"
#include <QDBusConnection>
#include <QDBusMessage>
#include <QDebug>

Cellular::Cellular() : QObject() {
    QList<QVariant> radioModeArguments;
    radioModeArguments.append((unsigned char)1);

    QDBusMessage message = QDBusMessage::createMethodCall("com.nokia.phone.net", "/com/nokia/phone/net", "Phone.Net", "set_selected_radio_access_technology");
    message.setArguments(radioModeArguments);

    QDBusMessage result = QDBusConnection::systemBus().call(message, QDBus::Block);
    qDebug() << "Error:";
    qDebug() << result.errorName();
    qDebug() << result.errorMessage();

    QList<QVariant> resultArguments = result.arguments();

    for (int i = 0; i < resultArguments.size(); ++i) {
        qDebug() << resultArguments[i];
    }
}
